Register Members List Search Today's Posts Mark Forums Read

Reply
 
Mod Options
vB Spell :: Spell Checker in WYSIWYG and Standard Modes Details »
vB Spell :: Spell Checker in WYSIWYG and Standard Modes
Mod Version: 1.3, by Replicators (Member) Replicators is offline
Developer Last Online: Feb 2016 I like it Show Printable Version Email this Page

This modification is in the archives.
vB Version: 3.7.x Rating: (4 votes - 4.00 average) Installs: 63
Released: 31 May 2008 Last Update: 15 Jul 2008 Downloads: 1518
Not Supported DB Changes Uses Plugins Template Edits Auto-Template Additional Files Re-usable Code Translations  

What this does: vB Spell allows you to install a dictionary (English dictionary included) into your MysQL database, and provide a spell checking window that works in both of vB's editor modes, standard and WYSIWYG.

Background: This mod was originally developed by tamarian for vB 3.5.x. With the release of 3.6.x the installer stopped working for fresh installs and the template changes were considerably out of date, tamarian gave cynix2 permission to release a 3.6.x version with updates. I have now carried it over to 3.7.x and will support it to the best of my ability.
This version should work with 3.5.x, 3.6.x, and 3.7.x series.

Features:
  • Supports most recent versions of browsers. Firefox, Mozilla/Netsacpe, Opera and Konqueror (Konqueror implies Safari, but please confirm Mac folks). Currently does NOT work in IE 7, if anybody can look through the code and know of a way to fix the mod to work in IE, then please send me a pm.
  • Learn Feature uses cookies, so it won't increase the database size.
  • Admin panel options.
  • Spell Check button appears anywhere there is a WYSIWYG Enhanced or Standard Editor Toolbar [includes quickreply but not quickedit].
  • Skips quoted text and other tags (PHP, code, etc.).
  • Usergroup permisisons.
  • Template based interface, and uses your default style.
  • Link buttons (Thesarus and Lookup) with links to Merriam Webster's online thesarus and dictionary links with the suggestion for misspelled words.
Installation:
  • Unzip main package.
  • Upload the contents of the 'upload' folder to your forum home directory.
    Regular Install:
    • Unzip Dictionary.zip.
    • Upload DICTIONARY.DIC to your forum home directory.
    Alternate Install
    • Unzip Manual-SQL.zip or Split-SQL.zip.
    • Import the SQL files to your database.
  • Import product-vbspell37.xml.
  • Go to AdminCP > vBulletin Options > vB Spell and edit your usergroup permisisons.
  • Template changes are now automatic. [need tms]
Q: What is the Alternate Install method for?
A: If you are having problems with the Regular Install (such as your dictionary import freezes at x%) then you should consider using the Alternate Install. If neither of these methods work for you then there might be an issue with your server host.

Upgrading:
  • Unzip main package.
  • Upload the contents of the 'upload' folder to your forum home directory.
  • Import product-vbspell37.xml.
To make template editing less tedious i have made use of Andreas Template Modification System found here. If you install tms before applying this mod, all template edits will be done for you. If you do not want tms installed, then i have supplied easier to understand template editing instructions inside the mod zip file.

IMPORTANT: If you decide to use tms and have the templates be automatically installed, then you need to go into your styles and save the following templates.

editpost, newreply, newthread, album_pictureview, calendar_edit, visitormessage_editor, socialgroups_editor, USERCP_SHELL, SHOWTHREAD, postbit_quickedit, pm_newpm, picturecomment_form, and modifysignature

Just go into the templates and save it without making any changes for each skin. TMS will not edit any unmodified templates, so if any of them templates are already red, then they are already modified and you don't need to save them.

HISTORY:
1.1 - Added use of TMS to make template modification easier.
1.2 - Added tehtide's fix from here
1.3 - Made some changes in the product, and made manual template instructions a little less tedious, but there is no easy way of doing it unfortunantly. You will need to redo the template edits that go above </head>.

Download Now

Only licensed members can download files, Click Here for more information.

Supporters / CoAuthors

Screenshots

Click image for larger version

Name:	wysiwyg.jpg
Views:	1394
Size:	85.6 KB
ID:	81553   Click image for larger version

Name:	standard.jpg
Views:	1009
Size:	76.2 KB
ID:	81554   Click image for larger version

Name:	editor.gif
Views:	813
Size:	2.2 KB
ID:	81555   Click image for larger version

Name:	admin.gif
Views:	672
Size:	27.9 KB
ID:	81556  

Show Your Support

  • To receive notifications regarding updates -> Click to Mark as Installed.
  • This modification may not be copied, reproduced or published elsewhere without author's permission.
Similar Mod
Mod Developer Type Replies Last Post
vB Spell :: Spell Checker in WYSIWYG and Standard Modes tamarian vBulletin 3.0 Full Releases 212 12 Feb 2009 14:14
vB Spell :: Spell Checker in WYSIWYG and Standard Modes tamarian vBulletin 3.5 Add-ons 402 19 May 2007 21:41
PungoSpell Spell Checker for vB3.5 WYSIWYG and Standard mode tamarian vBulletin 3.5 Add-ons 103 23 Oct 2006 10:17
Spell Checker: PungoSpell for vBulletin3 Standard and WYSIWYG modes tamarian vBulletin 3.0 Full Releases 254 16 Jan 2006 19:29

Comments
  #2  
Old 31 May 2008, 01:20
carrlos's Avatar
carrlos carrlos is offline
 
Join Date: Nov 2006
I'm first!!!! Yea!!!!

But still waiting for the download!!
Reply With Quote
  #3  
Old 31 May 2008, 01:25
KeyStalker KeyStalker is offline
 
Join Date: Feb 2008
Very interesting.
Reply With Quote
  #4  
Old 31 May 2008, 01:29
Replicators's Avatar
Replicators Replicators is offline
 
Join Date: Jul 2005
Give me a minute, just released it, preparing the files now.
Reply With Quote
  #5  
Old 31 May 2008, 02:23
Elenna Elenna is offline
 
Join Date: Jan 2006
Location: St. Charles, MO
Real name: Dana
Has there been any change since the 3.6 release? ie - if I have that one installed and working, is it recommended that we upgrade?
Reply With Quote
  #6  
Old 31 May 2008, 02:26
Replicators's Avatar
Replicators Replicators is offline
 
Join Date: Jul 2005
Originally Posted by Elenna View Post
Has there been any change since the 3.6 release? ie - if I have that one installed and working, is it recommended that we upgrade?
No need to upgrade if you have the old version installed as nothing major has changed, but i do plan on making some changes to this as the 3.6 version is no longer supported, so my advice is to install this one, and then when i release a update, you will have the choice to move to this one if you'd like.
Reply With Quote
  #7  
Old 31 May 2008, 03:20
smirkley smirkley is offline
 
Join Date: Apr 2008
tesing on my 3.7.0G....


Do I have to manually edit all the post and edit pages templates to make this work?

Otherwise it doesnt seem to be working using the xml install only.


Thanks in advance, and imo a great mod, beats ispell if I can get it to work on my code.
Reply With Quote
  #8  
Old 31 May 2008, 05:18
soletrader soletrader is offline
 
Join Date: Jul 2006
doesnt work with FF on 3.7 gold.
Reply With Quote
  #9  
Old 31 May 2008, 07:19
Elenna Elenna is offline
 
Join Date: Jan 2006
Location: St. Charles, MO
Real name: Dana
Originally Posted by Replicators View Post
No need to upgrade if you have the old version installed as nothing major has changed, but i do plan on making some changes to this as the 3.6 version is no longer supported, so my advice is to install this one, and then when i release a update, you will have the choice to move to this one if you'd like.
Thanks for the response, Replicators!


Will upgrade when I can; glad to know I'm not missing out on any awesome new features until then (not sure what new features you can add to spell-check anyway).

*thumbs up*
Reply With Quote
  #10  
Old 31 May 2008, 08:31
codershark codershark is offline
 
Join Date: Feb 2008
Has anyone a german Dictionary ??? Or know where I can get one ?
Reply With Quote
  #11  
Old 31 May 2008, 11:56
Replicators's Avatar
Replicators Replicators is offline
 
Join Date: Jul 2005
Originally Posted by smirkley View Post
tesing on my 3.7.0G....


Do I have to manually edit all the post and edit pages templates to make this work?

Otherwise it doesnt seem to be working using the xml install only.


Thanks in advance, and imo a great mod, beats ispell if I can get it to work on my code.
Yes, you do need to do the template edits, otherwise nothing will call for the vbspell window. I am gonna try to make the template changes more automatic if i can, but for now it's manual editing. Sry
Reply With Quote
  #12  
Old 31 May 2008, 14:13
Megatr0n Megatr0n is offline
 
Join Date: Jul 2007
Replicator, did you get my PM?
Reply With Quote
  #13  
Old 31 May 2008, 17:41
PGAmerica PGAmerica is offline
 
Join Date: Mar 2008
Your instructions say to edit the "postbit_quickedit" template and look for </head>. I do not have this in my "postbit_quickedit" template. it also says to look for "$navbar". This is not in there either.

In fact, the only thing you are telling me to find that is actually in that template is the first step when has me looking for


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

Help!
Reply With Quote
  #14  
Old 31 May 2008, 18:46
PGAmerica PGAmerica is offline
 
Join Date: Mar 2008
Well, it turns out that I was reading the instructions int he included text file and they are totally wrong. In addition, these instructions are convoluted at best and this hack does not work at all.

I need a simpler spellchecking solution.
Reply With Quote
  #15  
Old 31 May 2008, 19:09
Replicators's Avatar
Replicators Replicators is offline
 
Join Date: Jul 2005
Originally Posted by PGAmerica View Post
Well, it turns out that I was reading the instructions int he included text file and they are totally wrong. In addition, these instructions are convoluted at best and this hack does not work at all.

I need a simpler spellchecking solution.
For quick edit in postbit_quickedit, use this for step C (A and B are in showthread):
Do you read where change A and B are in showthread, the only change in postbit_quickedit is adding the button. Go in postbit_quickedit and search for preview or go_advanced and place the button code under that line.

The instructions work fine, it's just how it's read that may be more difficult for some people. I gotta change the button code instructions as copying and pasting the whole line won't give any results. Just search for preview, go_advanced, or save and then put the button code under that line.
Reply With Quote
Reply


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Mod Options

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off


New To Site? Need Help?

All times are GMT. The time now is 05:35.

Layout Options | Width: Wide Color: